PRAGMA user_version = 2;

DROP TABLE meta;

-- sqlite's doesn't support renaming columns -> create-insert-drop-alter

CREATE TABLE _scripts (
    id       INTEGER PRIMARY KEY NOT NULL,
    name     TEXT NOT NULL COLLATE NOCASE,
    matcher  TEXT NOT NULL,
    type     INTEGER NOT NULL,
    subType  INTEGER,
    action1  TEXT,
    action2  TEXT
);

-- direct
INSERT INTO _scripts (id, name, matcher, type)
SELECT id, name, regexp, type
FROM scripts
WHERE type = 0;

-- regexp
INSERT INTO _scripts (id, name, matcher, type, subType, action1, action2)
SELECT id, name, regexp, type, source, pattern, template
FROM scripts
WHERE type = 1;

-- custom
INSERT INTO _scripts (id, name, matcher, type, action1)
SELECT id, name, regexp, type, script
FROM scripts
WHERE type = 2;

DROP TABLE scripts;

ALTER TABLE _scripts RENAME TO scripts;

CREATE INDEX scriptName ON scripts (name);
